List Code Scan Findings
curl --request GET \
--url https://api.devin.ai/v3/enterprise/code-scans/findings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/code-scans/findings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/code-scans/findings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"category": "<string>",
"code_owners": [
"<string>"
],
"created_at": 123,
"description": "<string>",
"finding_id": "<string>",
"note": "<string>",
"orchestrator_session_id": "<string>",
"pr_url": "<string>",
"recommendation": "<string>",
"reference_snippets": [
{
"commentary": "<string>",
"end_line": 123,
"file_path": "<string>",
"start_line": 123,
"code": "<string>"
}
],
"repo_name": "<string>",
"scan_id": "<string>",
"session_id": "<string>",
"severity": "critical",
"status": "open",
"title": "<string>",
"related_finding_ids": [
"<string>"
]
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Code Scans (Enterprise)
List Code Scan Findings (Devin API)
List enterprise code scan findings
GET
/
v3
/
enterprise
/
code-scans
/
findings
List Code Scan Findings
Permissions
Requires a service user or personal access token with theViewAccountCodeScans permission at the enterprise level.
Related
- Filter by
scan_idafter a scan started with Start Code Scan reachescompleted(see List Code Scans for polling). - To understand what a scan looked for, read the profile it ran with via List Code Scan Profiles and Get Code Scan Profile.
- The organization-scoped equivalent is List Code Scan Findings (Organization).
- For the end-to-end workflow, see Triggering Code Scans via the Devin API.
Authorizations
Service User credential (prefix: cog_)
Query Parameters
Required range:
1 <= x <= 200Filter to findings produced by this scan.
Filter to findings reported in this repository.
Filter to findings with any of these severities (critical, high, medium, low).
Available options:
critical, high, medium, low Filter to findings with any of these statuses (open, dismissed, resolved).
Available options:
open, dismissed, resolved Filter to findings in these organizations.
Response
Successful Response
Show child attributes
Show child attributes
Cursor to fetch the next page, or None if this is the last page.
Whether there are more items available after this page.
Optional total count (can be omitted for performance).

